Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Thread_ID Class Reference

Defines a platform-independent thread ID. More...

`#include <OS_NS_Thread.h>`

List of all members.

## Public Methods
| ACE_Thread_ID (ACE_thread_t, ACE_hthread_t)
| ACE_Thread_ID (const ACE_Thread_ID &id)
ACE_thread_t | id (void)
void | id (ACE_thread_t)
ACE_hthread_t | handle (void)
void | handle (ACE_hthread_t)
void | to_string (char *)
int | operator== (const ACE_Thread_ID &) const
int | operator!= (const ACE_Thread_ID &) const
## Private Attributes
ACE_thread_t | thread_id_
| Identify the thread.
ACE_hthread_t | thread_handle_
| Handle to the thread (typically used to "wait" on Win32).

## Detailed Description

Defines a platform-independent thread ID.

## Constructor & Destructor Documentation

ACE_Thread_ID::ACE_Thread_ID | ( | ACE_thread_t | ,
|  | ACE_hthread_t |
| ) |

ACE_Thread_ID::ACE_Thread_ID | ( | const ACE_Thread_ID & | id | ) |

## Member Function Documentation

void ACE_Thread_ID::handle | ( | ACE_hthread_t |  | ) |

ACE_hthread_t ACE_Thread_ID::handle | ( | void |  | ) |

void ACE_Thread_ID::id | ( | ACE_thread_t |  | ) |

ACE_thread_t ACE_Thread_ID::id | ( | void |  | ) |

int ACE_Thread_ID::operator!= | ( | const ACE_Thread_ID & |  | ) | const

int ACE_Thread_ID::operator== | ( | const ACE_Thread_ID & |  | ) | const

void ACE_Thread_ID::to_string | ( | char * |  | ) |

## Member Data Documentation

ACE_hthread_t ACE_Thread_ID::thread_handle_`[private]`

| Handle to the thread (typically used to "wait" on Win32).

ACE_thread_t ACE_Thread_ID::thread_id_`[private]`

| Identify the thread.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_Thread.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_Thread.cpp